## obconf-qt 0.9.0%2B20151227

=== debian/changelog ===
obconf-qt (0.9.0+20151227-1) unstable; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151227.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 01:16:24 +0100

obconf-qt (0.9.0+20150822-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Use -Wl,--as-needed to reduce dependencies
  * Use hardening=+all

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150822
  * Removed not needed breaks and replaces
  * Beautified control
  * Tar-ignored obconf-qt.kdev4
  * Added upstream signing key and use it in watch file

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 Sep 2015 17:02:15 +0200

obconf-qt (0.9.0+20150723-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian files.
  * Initial release. (Closes: #761263)
  * typo in control.
  * - drop debug package - Min Qt version 5.3.2 - bump standards to 3.9.6
    - lintian-override for missing manpage added
  * new release (dunno which number it will have right now, i guess 0.2.0)
    packages renamed debian $foo fixed source/options added.
  * Some cleanup in debian $foo.
  * dependencies and rules fixed.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150723.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Drop LGPL-2.1+ license for obconf-qt as I couldn't find any headers
    mention that.
  * Drop empty transitional package. User who has unofficial lxqt
    installed should reinstall lxqt from official debian repo instead.
  * Removing whitespaces at EOL and EOF.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 17:39:21 +0800

## obconf-qt 0.9.0+20150723

=== CMakeLists.txt ===
project(obconf-qt)
# newer cmake is required for CMAKE_AUTOMOC Qt support
cmake_minimum_required(VERSION 2.8.6)

find_program(SED_PROGRAM sed)

# additional cmake files
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(GNUInstallDirs)

# Support Qt4 for the time being
option(USE_QT4 "Build with Qt4." $ENV{USE_QT4})
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

if(USE_QT4)
  find_package(Qt4 REQUIRED QtCore QtGui) # Qt
  include(${QT_USE_FILE})
  message(STATUS "Building with Qt${QTVERSION}")
else()
  cmake_minimum_required(VERSION 2.8.11)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5X11Extras REQUIRED)
  find_package(Qt5LinguistTools REQUIRED QUIET)
  message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
endif()

find_package(PkgConfig)
pkg_check_modules(GLIB REQUIRED
  glib-2.0
)

pkg_check_modules(OPENBOX REQUIRED
  obrender-3.5
  obt-3.5
)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
  FILES data/obconf-qt.png
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

# building tarball with CPack -------------------------------------------------
# To create a source distribution, type:
# make package_source
include (InstallRequiredSystemLibraries)
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set (CPACK_PACKAGE_VENDOR "")
set (CPACK_PACKAGE_VERSION_MAJOR "0")
set (CPACK_PACKAGE_VERSION_MINOR "1")
set (CPACK_PACKAGE_VERSION_PATCH "0")
set (CPACK_GENERATOR TBZ2)
set (CPACK_SOURCE_GENERATOR TBZ2)
set (CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
# set (CPACK_SOURCE_PACKAGE_FILE_NAME pcmanfm-qt.0.1.0.tar.gz)
include (CPack)

=== debian/control ===
Source: obconf-qt
Section: utils
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libqt5x11extras5-dev (>= 5.3),
 openbox-dev,
 pkg-config,
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/obconf-qt
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/obconf-qt.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/obconf-qt.git

Package: obconf-qt
Architecture: any
Breaks: obconf-qt5 (<< 0.2.0)
Replaces: obconf-qt5 (<< 0.2.0)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake --parallel


override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/obconf-qt

=== debian/watch ===
version=3
https://github.com/lxde/obconf-qt/releases .*/([\d\.]+).tar.gz

## obconf-qt 0.9.0+20151227

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 # make package_source
 include (InstallRequiredSystemLibraries)
 set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
+set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set (CPACK_PACKAGE_VENDOR "")
 set (CPACK_PACKAGE_VERSION_MAJOR "0")
 set (CPACK_PACKAGE_VERSION_MINOR "1")

=== src/CMakeLists.txt ===
# set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS -fno-exceptions")

if(USE_QT4)
    set(QTX_INCLUDE_DIRS ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTDBUS_DIR})
    set(QTX_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY})
else()
    set(QTX_INCLUDE_DIRS "")
    set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)
endif()

include_directories(
  ${QTX_INCLUDE_DIRS}
  ${GLIB_INCLUDE_DIRS}
  ${OPENBOX_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(obconf-qt_SRCS
  obconf-qt.cpp
  maindialog.cpp
  appearance.cpp
  windows.cpp
  mouse.cpp
  moveresize.cpp
  margins.cpp
  desktops.cpp
  dock.cpp
  tree.cpp
  archive.cpp
  theme.cpp
  fontbutton.cpp
)

set(obconf-qt_UIS
  obconf.ui
)

if(USE_QT4)
  qt4_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
else()
  qt5_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
endif()

# The ui code generated by Qt uic contains QMetaObject::connectSlotsByName()
# but we don't want that. Fix it with sed.
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ui_obconf_fixed.h
  COMMAND ${SED_PROGRAM}
  ARGS "/connectSlotsByName/d" ${obconf-qt_UI_H} > ${CMAKE_CURRENT_BINARY_DIR}/ui_obconf_fixed.h
  # DEPENDS
  MAIN_DEPENDENCY ${obconf-qt_UI_H}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Fixing generated ui code"
  VERBATIM
)

# add translation for obconf-qt
option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(TRANSLATION_TEMPLATE "translations/obconf-qt.ts")
file(GLOB TS_FILES translations/obconf-qt_*.ts)

if(USE_QT4)
  if (UPDATE_TRANSLATIONS)
    qt4_create_translation(QMS_FILES
      ${obconf-qt_SRCS}
      ${obconf-qt_UI_H}
      ${TRANSLATION_TEMPLATE}
      OPTIONS -locations absolute)
    qt4_create_translation(QMS_FILES
      ${obconf-qt_SRCS}
      ${obconf-qt_UI_H}
      ${TS_FILES}
      OPTIONS -locations absolute)
  else (UPDATE_TRANSLATIONS)
    qt4_add_translation(QM_FILES ${TS_FILES})
  endif (UPDATE_TRANSLATIONS)
else(USE_QT4) # use qt4
  if (UPDATE_TRANSLATIONS)
    qt5_create_translation(QMS_FILES
      ${obconf-qt_SRCS}
      ${obconf-qt_UI_H}
      ${TRANSLATION_TEMPLATE}
      OPTIONS -locations absolute)
    qt5_create_translation(QM_FILES
      ${obconf-qt_SRCS}
      ${obconf-qt_UI_H}
      ${TS_FILES}
      OPTIONS -locations absolute)
  else (UPDATE_TRANSLATIONS)
    qt5_add_translation(QM_FILES ${TS_FILES})
  endif (UPDATE_TRANSLATIONS)
endif(USE_QT4)

if(UPDATE_TRANSLATIONS)
    add_custom_target(update_obconf-qt_translations ALL DEPENDS ${QMS})
endif()

# install a desktop entry file
include(LXQtTranslateDesktop)
lxqt_translate_desktop(DESKTOP_FILES
    TRANSLATION_DIR "translations"
    SOURCES obconf-qt.desktop.in
)
install(FILES ${DESKTOP_FILES} DESTINATION share/applications)

install(FILES ${QM_FILES} DESTINATION share/obconf-qt/translations)
# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

add_executable(obconf-qt
  ${obconf-qt_SRCS}
  ${obconf-qt_UI_H}
  ${QM_FILES}
  ${DESKTOP_FILES}
)

add_definitions(
  -DPACKAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/obconf-qt"
  -DPIXMAPS_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/pixmaps"
  -DTHEME_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/openbox/themes"
)

target_link_libraries(obconf-qt
  ${QTX_LIBRARIES}
  ${GLIB_LIBRARIES}
  ${OPENBOX_LIBRARIES}
)

install(TARGETS obconf-qt RUNTIME DESTINATION bin)

=== debian/control ===
Source: obconf-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: utils
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libqt5x11extras5-dev,
               openbox-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/obconf-qt.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/obconf-qt.git -b debian/sid
Homepage: https://github.com/lxde/obconf-qt

Package: obconf-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/obconf-qt/releases .*/([\d\.]+).tar.gz

## obconf-qt 0.11.1

=== CMakeLists.txt ===
project(obconf-qt)
# newer cmake is required for CMAKE_AUTOMOC Qt support
cmake_minimum_required(VERSION 2.8.12)

find_program(SED_PROGRAM sed)

include(GNUInstallDirs)

set(LXQTBT_MINIMUM_VERSION "0.1.0")

# Support Qt4 for the time being
option(USE_QT4 "Build with Qt4." $ENV{USE_QT4})
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

if(USE_QT4)
  find_package(Qt4 REQUIRED QtCore QtGui) # Qt
  include(${QT_USE_FILE})
  message(STATUS "Building with Qt${QTVERSION}")
else()
  cmake_minimum_required(VERSION 2.8.11)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5X11Extras REQUIRED)
  find_package(Qt5LinguistTools REQUIRED QUIET)
  message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
endif()

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

find_package(PkgConfig)
pkg_check_modules(GLIB REQUIRED
  glib-2.0
)

pkg_check_modules(OPENBOX REQUIRED
  obrender-3.5
  obt-3.5
)

include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
  FILES data/obconf-qt.png
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

=== debian/changelog ===
obconf-qt (0.11.1-2) unstable; urgency=medium

  * Removed build dependency liblxqt0-dev - only translations
    used cmake parts from the library, not the case anymore as
    lxqt-build-tools provide this now 

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jan 2017 03:23:40 +0100

obconf-qt (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed build dependencies:
    - cmake
    - libqt5xdg-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools (>= 0.3.0)
  * Added dependency openbox
  * fixed gbp branch to debian/sid

 -- Alf Gaida <agaida@siduction.org>  Sun, 11 Dec 2016 20:12:06 +0100

obconf-qt (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian/foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10 
  * Bumped build dependency debhelper (>= 10)
  * Bumped build dependency liblxqt-dev (>= 0.11.0)
  * Bumped build dependency libqtxdg-dev (>= 2.0.0)
  * Added build dependency libkf5windowsystem-dev
  * Added build dependency libqt5svg5-dev
  * Added Recommends obconf-qt-l10n
  * Fixed VCS fields, using plain /git/
  * Used GPL-2+ for debian, no need to introduce a second license
  * Fixed copyrights Format field to https
  * Dropped patches, applied upstream
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Cleaned up source/options and .gitignore

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 20:08:08 +0200

obconf-qt (0.9.0+20151227-2) unstable; urgency=medium

  * make build reproducible again (Closes: 815900), thanks to Eduard Sanou
    for the bug and the patch, but i already fixed this upstream
  * Bump Standards to 3.9.7
  * Secure VCS-fields
  * Fix years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 21:21:57 +0100

=== debian/control ===
Source: obconf-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.3.0),
               openbox-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/obconf-qt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/obconf-qt.git -b debian/sid
Homepage: https://github.com/lxde/obconf-qt

Package: obconf-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openbox
Recommends: obconf-qt-l10n
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

## obconf-qt 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5X11Extras REQUIRED)
   find_package(Qt5LinguistTools REQUIRED QUIET)
-  message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+  message(STATUS "Building with Qt${Qt5Core_VERSION}")
 endif()
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -38,6 +38,16 @@
   obt-3.5
 )
 
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+set(OBCONFQT_MAJOR_VERSION 0)
+set(OBCONFQT_MINOR_VERSION 12)
+set(OBCONFQT_PATCH_VERSION 0)
+set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
+add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")
+
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings)

=== debian/changelog ===
obconf-qt (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 23:44:22 +0100

obconf-qt (0.12.0-2) unstable; urgency=medium

  * Transition to unstable
  * Bumped Standards to 4.1.1 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 19:39:19 +0100

obconf-qt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped minimum version of lxqt-build-tools to >= 0.4.0
  * Bumped Standards to 4.1.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Sep 2017 12:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.3.0),
+               lxqt-build-tools (>= 0.4.0),
                openbox-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/obconf-qt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/obconf-qt.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/obconf-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/obconf-qt.git
 Homepage: https://github.com/lxde/obconf-qt
 
 Package: obconf-qt

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/obconf-qt/releases .*/obconf-qt-([\d\.]+).tar.xz

## obconf-qt 0.13.0

=== CMakeLists.txt ===
project(obconf-qt)
# newer cmake is required for CMAKE_AUTOMOC Qt support
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

find_program(SED_PROGRAM sed)

include(GNUInstallDirs)

set(LXQTBT_MINIMUM_VERSION "0.5.0")

set(OBCONFQT_MAJOR_VERSION 0)
set(OBCONFQT_MINOR_VERSION 13)
set(OBCONFQT_PATCH_VERSION 0)
set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")

# Support Qt4 for the time being
option(USE_QT4 "Build with Qt4." $ENV{USE_QT4})
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)


if(USE_QT4)
  set(USE_QT5 FALSE)
  find_package(Qt4 REQUIRED QtCore QtGui) # Qt
  include(${QT_USE_FILE})
  message(STATUS "Building with Qt${QTVERSION}")
else()
  set(USE_QT5 TRUE)
  cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5X11Extras REQUIRED)
  find_package(Qt5LinguistTools REQUIRED)
  message(STATUS "Building with Qt${Qt5Core_VERSION}")
endif()

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

find_package(PkgConfig)
pkg_check_modules(GLIB REQUIRED
  glib-2.0
)

pkg_check_modules(OPENBOX REQUIRED
  obrender-3.5
  obt-3.5
)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
  FILES data/obconf-qt.png
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

=== src/CMakeLists.txt ===
# set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS")

if(USE_QT4)
    set(QTX_INCLUDE_DIRS ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTDBUS_DIR})
    set(QTX_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY})
else()
    set(QTX_INCLUDE_DIRS "")
    set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)
endif()

include_directories(
  ${QTX_INCLUDE_DIRS}
  ${GLIB_INCLUDE_DIRS}
  ${OPENBOX_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(obconf-qt_SRCS
  obconf-qt.cpp
  maindialog.cpp
  appearance.cpp
  windows.cpp
  mouse.cpp
  moveresize.cpp
  margins.cpp
  desktops.cpp
  dock.cpp
  tree.cpp
  archive.cpp
  theme.cpp
  fontbutton.cpp
)

set(obconf-qt_UIS
  obconf.ui
)

if(USE_QT4)
  qt4_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
else()
  qt5_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
endif()

set_property(SOURCE ${obconf-qt_UI_H} PROPERTY SKIP_AUTOMOC ON)

# The ui code generated by Qt uic contains QMetaObject::connectSlotsByName()
# but we don't want that. Fix it with sed.
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ui_obconf_fixed.h
  COMMAND ${SED_PROGRAM}
  ARGS "/connectSlotsByName/d" ${obconf-qt_UI_H} > ${CMAKE_CURRENT_BINARY_DIR}/ui_obconf_fixed.h
  # DEPENDS
  MAIN_DEPENDENCY ${obconf-qt_UI_H}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Fixing generated ui code"
  VERBATIM
)

# add translation for obconf-qt
option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
lxqt_translate_ts(QM_FILES
  USE_QT5
    ${USE_QT5}
  UPDATE_TRANSLATIONS
    ${UPDATE_TRANSLATIONS}
  SOURCES
    ${obconf-qt_SRCS}
    ${obconf-qt_UI_H}
  INSTALL_DIR
    "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
  PULL_TRANSLATIONS
    ${PULL_TRANSLATIONS}
  CLEAN_TRANSLATIONS
    ${CLEAN_TRANSLATIONS}
  TRANSLATIONS_REPO
    ${TRANSLATIONS_REPO}
  TRANSLATIONS_REFSPEC
    ${TRANSLATIONS_REFSPEC}
)

# install a desktop entry file
lxqt_translate_desktop(DESKTOP_FILES
    TRANSLATION_DIR "translations"
    SOURCES obconf-qt.desktop.in
)
install(FILES ${DESKTOP_FILES} DESTINATION share/applications)

# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

add_executable(obconf-qt
  ${obconf-qt_SRCS}
  ${obconf-qt_UI_H}
  ${QM_FILES}
  ${DESKTOP_FILES}
)

add_definitions(
  -DPACKAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/obconf-qt"
  -DPIXMAPS_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/pixmaps"
  -DTHEME_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/openbox/themes"
)

if (USE_QT4)
    add_definitions(-DUSE_QT4)
endif()

target_link_libraries(obconf-qt
  ${QTX_LIBRARIES}
  ${GLIB_LIBRARIES}
  ${OPENBOX_LIBRARIES}
)

install(TARGETS obconf-qt RUNTIME DESTINATION bin)

=== debian/changelog ===
obconf-qt (0.13.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.13.0.
  * Bump lxqt-build-tools to >= 0.5.0~
  * Fixed watch file lxde -> lxqt

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 20:16:01 +0200

obconf-qt (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 17:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.4.0),
+               lxqt-build-tools (>= 0.5.0~),
                openbox-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/obconf-qt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/obconf-qt.git
-Homepage: https://github.com/lxde/obconf-qt
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
+Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
+Homepage: https://github.com/lxqt/obconf-qt
 
 Package: obconf-qt
 Architecture: any

## obconf-qt 0.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(obconf-qt)

find_program(SED_PROGRAM sed)

include(GNUInstallDirs)


# Minimum Versions
set(GLIB_MINIMUM_VERSION "2.50.0")
set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(QT_MINIMUM_VERSION "5.7.1")

set(OBCONFQT_MAJOR_VERSION 0)
set(OBCONFQT_MINOR_VERSION 14)
set(OBCONFQT_PATCH_VERSION 1)
set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION}")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)

find_package(PkgConfig)
pkg_check_modules(OPENBOX REQUIRED
  obrender-3.5
  obt-3.5
)

include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
  FILES data/obconf-qt.png
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,8 @@
-# set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
+# set visibility to hidden to hide symbols, unlesss they're exporteted manually in the code
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS")
 
-if(USE_QT4)
-    set(QTX_INCLUDE_DIRS ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTDBUS_DIR})
-    set(QTX_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY})
-else()
-    set(QTX_INCLUDE_DIRS "")
-    set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)
-endif()
+set(QTX_INCLUDE_DIRS "")
+set(QTX_LIBRARIES Qt5::Widgets Qt5::X11Extras)
 
 include_directories(
   ${QTX_INCLUDE_DIRS}
@@ -36,11 +31,7 @@
   obconf.ui
 )
 
-if(USE_QT4)
-  qt4_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
-else()
-  qt5_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
-endif()
+qt5_wrap_ui(obconf-qt_UI_H ${obconf-qt_UIS})
 
 set_property(SOURCE ${obconf-qt_UI_H} PROPERTY SKIP_AUTOMOC ON)
 
@@ -60,8 +51,6 @@
 # add translation for obconf-qt
 option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 lxqt_translate_ts(QM_FILES
-  USE_QT5
-    ${USE_QT5}
   UPDATE_TRANSLATIONS
     ${UPDATE_TRANSLATIONS}
   SOURCES
@@ -69,14 +58,6 @@
     ${obconf-qt_UI_H}
   INSTALL_DIR
     "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
-  PULL_TRANSLATIONS
-    ${PULL_TRANSLATIONS}
-  CLEAN_TRANSLATIONS
-    ${CLEAN_TRANSLATIONS}
-  TRANSLATIONS_REPO
-    ${TRANSLATIONS_REPO}
-  TRANSLATIONS_REFSPEC
-    ${TRANSLATIONS_REFSPEC}
 )
 
 # install a desktop entry file
@@ -102,14 +83,10 @@
   -DTHEME_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/openbox/themes"
 )
 
-if (USE_QT4)
-    add_definitions(-DUSE_QT4)
-endif()
-
 target_link_libraries(obconf-qt
   ${QTX_LIBRARIES}
   ${GLIB_LIBRARIES}
-  ${OPENBOX_LIBRARIES}
+  ${OPENBOX_LDFLAGS}
 )
 
 install(TARGETS obconf-qt RUNTIME DESTINATION bin)

=== debian/changelog ===
obconf-qt (0.14.1-1ubuntu1) disco; urgency=medium

  * Lubuntuify the package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 09:56:22 -0600

obconf-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.1.

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 00:38:38 +0100

obconf-qt (0.14.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:13:23 +0100

=== debian/control ===
Source: obconf-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.6.0~),
               openbox-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/obconf-qt/
Vcs-Git: https://phab.lubuntu.me/source/obconf-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
Homepage: https://github.com/lxqt/obconf-qt

Package: obconf-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openbox
Recommends: obconf-qt-l10n
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: obconf-qt (<< 0.11.0)
Replaces: obconf-qt (<< 0.11.0)
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/obconf-qt/releases .*/obconf-qt-([\d\.]+).tar.xz

## obconf-qt 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 set(OBCONFQT_MAJOR_VERSION 0)
-set(OBCONFQT_MINOR_VERSION 14)
-set(OBCONFQT_PATCH_VERSION 1)
+set(OBCONFQT_MINOR_VERSION 15)
+set(OBCONFQT_PATCH_VERSION 0)
 set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
 add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")

=== debian/changelog ===
obconf-qt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:38:45 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.6.0~),
+               lxqt-build-tools (>= 0.7.0),
                openbox-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/obconf-qt/
 Vcs-Git: https://phab.lubuntu.me/source/obconf-qt.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
@@ -19,9 +19,7 @@
 
 Package: obconf-qt
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         openbox
+Depends: openbox, ${misc:Depends}, ${shlibs:Depends}
 Recommends: obconf-qt-l10n
 Description: Openbox configuration with a Qt interface
  obconf-qt is an utility to configure openbox with a Qt interface.
@@ -32,8 +30,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Breaks: obconf-qt (<< 0.11.0)
 Replaces: obconf-qt (<< 0.11.0)
 Description: Language package for obconf-qt

## obconf-qt 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,11 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 set(OBCONFQT_MAJOR_VERSION 0)
-set(OBCONFQT_MINOR_VERSION 15)
+set(OBCONFQT_MINOR_VERSION 16)
 set(OBCONFQT_PATCH_VERSION 0)
 set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
 add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")

=== src/translations/CMakeLists.txt ===
project(obconf-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/obconf-qt/translations")

=== debian/changelog ===
obconf-qt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978168)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 20:01:08 +0800

=== debian/control ===
Source: obconf-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.8.0~),
               openbox-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
Homepage: https://github.com/lxqt/obconf-qt

Package: obconf-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openbox
Recommends: obconf-qt-l10n
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: obconf-qt (<< 0.11.0)
Replaces: obconf-qt (<< 0.11.0)
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF\
 		-DUPDATE_TRANSLATIONS=OFF\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## obconf-qt 0.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 set(OBCONFQT_MAJOR_VERSION 0)
 set(OBCONFQT_MINOR_VERSION 16)
-set(OBCONFQT_PATCH_VERSION 0)
+set(OBCONFQT_PATCH_VERSION 2)
 set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
 add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -64,6 +64,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     TRANSLATION_DIR "translations"
     SOURCES obconf-qt.desktop.in
+    USE_YAML
 )
 install(FILES ${DESKTOP_FILES} DESTINATION share/applications)

=== debian/changelog ===
obconf-qt (0.16.2-2ubuntu2) lunar; urgency=medium

  * Revert sync from Debian.
  * Overhauled copyright file.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Changed binary-without-manpage to no-manual-page in lintian-overrides.
  * Updated debian/watch file to work with GitHub again.
  * Removed Repository-Browser field from debian/upstream/metadata.
  * Removed trailing whitespace from changelog.
  * Removed obsolete '-Wl,--as-needed' linker flag.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 12 Feb 2023 17:30:26 -0600

obconf-qt (0.16.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Drop old Breaks/Replaces, we're past the LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 10:06:15 -0500

obconf-qt (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Updated debhelper-compat requirement to 12.

 -- Raman Sarda <theloudspeaker@ubuntu.com>  Sun, 21 Feb 2021 19:24:37 +0530

=== debian/control ===
Source: obconf-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.11.0),
               openbox-dev
Standards-Version: 4.6.2
Vcs-Browser: https://phab.lubuntu.me/source/obconf-qt/
Vcs-Git: https://phab.lubuntu.me/source/obconf-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
Homepage: https://github.com/lxqt/obconf-qt
Rules-Requires-Root: no

Package: obconf-qt
Architecture: any
Depends: openbox, ${misc:Depends}, ${shlibs:Depends}
Recommends: obconf-qt-l10n
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.

## obconf-qt 0.16.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -18,7 +18,7 @@
 
 set(OBCONFQT_MAJOR_VERSION 0)
 set(OBCONFQT_MINOR_VERSION 16)
-set(OBCONFQT_PATCH_VERSION 2)
+set(OBCONFQT_PATCH_VERSION 4)
 set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
 add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")

=== debian/changelog ===
obconf-qt (0.16.4-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Sep 2024 11:44:40 -0700

obconf-qt (0.16.4-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 09 May 2024 22:18:15 +0800

obconf-qt (0.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * d/rules: remove unneeded --fail-missing.
  * d/rules: Suppress blhc error by added ignore line-regexp.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 05 Sep 2023 08:27:24 +0800

obconf-qt (0.16.2-2) unstable; urgency=medium

  * Merge to unstable.
  * Update d/watch for GitHub.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 13:12:24 +0800

obconf-qt (0.16.2-1) experimental; urgency=medium

  * New upstream release 0.16.2.
  * Removed obsolete debian/compat file.
  * Switched to GBP.
  * Upstreamed non-Ubuntu-specific packaging changes from Ubuntu, modifying
    the following files:
    - control
    - copyright
    - lintian-overrides
    - *.install
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 10 Jul 2022 02:53:45 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,11 @@
 Source: obconf-qt
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
-Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Uploaders: Alf Gaida <agaida@siduction.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>,
+           Aaron Rainbolt <arraybolt3@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,10 +15,8 @@
                lxqt-build-tools (>= 0.11.0),
                openbox-dev
 Standards-Version: 4.6.2
-Vcs-Browser: https://phab.lubuntu.me/source/obconf-qt/
-Vcs-Git: https://phab.lubuntu.me/source/obconf-qt.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
+Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
+Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
 Homepage: https://github.com/lxqt/obconf-qt
 Rules-Requires-Root: no

## obconf-qt 0.16.4+git20241012

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
 set(OBCONFQT_MAJOR_VERSION 0)
 set(OBCONFQT_MINOR_VERSION 16)
-set(OBCONFQT_PATCH_VERSION 4)
+set(OBCONFQT_PATCH_VERSION 5)
 set(OBCONFQT_VERSION ${OBCONFQT_MAJOR_VERSION}.${OBCONFQT_MINOR_VERSION}.${OBCONFQT_PATCH_VERSION})
 add_definitions("-DOBCONFQT_VERSION=\"${OBCONFQT_VERSION}\"")
 
@@ -26,12 +26,11 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 set(CMAKE_AUTOMOC ON)
 
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
obconf-qt (0.16.4+git20241012-0ubuntu1) plucky; urgency=medium

  * New upstream Git snapshot, for the Qt 6 port.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 20 Oct 2024 17:07:01 -0500

obconf-qt (0.16.4-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:32 +0200

obconf-qt (0.16.4-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:22:03 +0000

obconf-qt (0.16.4-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:05:14 +0000

obconf-qt (0.16.4-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:19:11 +0000

obconf-qt (0.16.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:23:29 +0000

obconf-qt (0.16.4-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped build dependency versions.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 18 Jan 2024 16:41:20 +0000

obconf-qt (0.16.3-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 08 Nov 2023 17:35:38 -0600

=== debian/control ===
Source: obconf-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               lxqt-build-tools (>= 2.0.0),
               openbox-dev
Standards-Version: 4.7.0
Vcs-Browser: https://phab.lubuntu.me/source/obconf-qt/
Vcs-Git: https://phab.lubuntu.me/source/obconf-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
Homepage: https://github.com/lxqt/obconf-qt
Rules-Requires-Root: no

Package: obconf-qt
Architecture: any
Depends: openbox, ${misc:Depends}, ${shlibs:Depends}
Recommends: obconf-qt-l10n
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.

## obconf-qt 0.16.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)

=== debian/changelog ===
obconf-qt (0.16.5-1) unstable; urgency=medium

  * New upstream version 0.16.5.
  * debian/control: build-deps on libkf6windowsystem-dev.
  * debian/control: build-deps on qt6-svg-dev.
  * debian/control: build-deps on lxqt-build-tools (>= 2.0.0~).
  * debian/control: build-deps on qt6-tools-dev.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 19:27:43 +0100

obconf-qt (0.16.4-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes: #1078304)

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 07 Sep 2024 10:06:55 +0200

=== debian/control ===
Source: obconf-qt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 2.0.0~),
               openbox-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/obconf-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/obconf-qt.git
Homepage: https://github.com/lxqt/obconf-qt
Rules-Requires-Root: no

Package: obconf-qt
Architecture: any
Depends: openbox, ${misc:Depends}, ${shlibs:Depends}
Recommends: obconf-qt-l10n
Description: Openbox configuration with a Qt interface
 obconf-qt is an utility to configure openbox with a Qt interface.
 .
 This package contain the application files.

Package: obconf-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for obconf-qt
 This package contains the l10n files needed by the obconf-qt.
